package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstruckDetailsOrder;
import com.steerinfo.dil.model.BmstruckStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BmstruckStatementMapper extends IBaseMapper<BmstruckStatement, BigDecimal> {

    /**
     * 展示汽运账单
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getTruckStatementList(Map<String, Object> mapValue);



    @Select("select seq_BMSTRUCK_STATEMENT.nextval from dual")
    BigDecimal selectStatementId();

    /**
     * 展示账单下的详单
     * @param mapVal
     * @return
     */
    List<Map<String, Object>> getSaleTruckStatementDetailsOrderList(Map<String, Object> mapVal);
    //通过账单id获取账单对应的详单信息
    List<BigDecimal> getDetailById(BigDecimal statementId);
}